//
//  DockCam.h
//  DockCam
//
//  Created by Nicholas Riley on Wed Jun 26 2002.
//  Copyright (c) 2002 Nicholas Riley. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class DockCamStatus;
@class DockCamPrefs;
@class NJRVendingImageView;
@class CURLHandle;

@interface DockCam : NSObject <NSURLHandleClient> {
    NSMutableData *data;
    NSImage *image;
    NSSize imageSize, previousImageSize;
    NSURL *location;
    CURLHandle *imageHandle;
    NSTimer *delayTimer;
    NSTimeInterval timeLeft;
    DockCamPrefs *preferencesController;
    IBOutlet DockCamStatus *status;
    IBOutlet NSWindow *imageWindow;
    IBOutlet NJRVendingImageView *imageView;
    IBOutlet NSMenuItem *pauseResumeItem; // workaround for dock sender bug in 10.1
}

- (void)scheduleLoading;
- (IBAction)reloadImage:(id)sender;
- (IBAction)cancelLoading:(id)sender;

- (IBAction)pauseTimer:(NSMenuItem *)sender;
- (IBAction)resumeTimer:(NSMenuItem *)sender;

- (IBAction)orderFrontPreferencesPanel:(id)sender;

@end
